"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractRefundPublicKeyFromReverseSwapTree = exports.extractClaimPublicKeyFromReverseSwapTree = exports.extractRefundPublicKeyFromSwapTree = exports.extractClaimPublicKeyFromSwapTree = exports.constructRefundTransaction = exports.constructClaimTransaction = exports.reverseSwapScript = exports.reverseSwapTree = exports.detectPreimage = exports.compareTrees = exports.detectSwap = exports.swapScript = exports.targetFee = exports.swapTree = exports.init = exports.SwapTreeSerializer = exports.TaprootUtils = exports.SwapUtils = exports.Scripts = exports.ContractABIs = exports.OutputType = exports.Networks = exports.Types = exports.Musig = void 0;
const ERC20_json_1 = __importDefault(require("../out/ERC20.sol/ERC20.json"));
const ERC20Swap_json_1 = __importDefault(require("../out/ERC20Swap.sol/ERC20Swap.json"));
const EtherSwap_json_1 = __importDefault(require("../out/EtherSwap.sol/EtherSwap.json"));
const TargetFee_1 = require("./TargetFee");
Object.defineProperty(exports, "targetFee", { enumerable: true, get: function () { return TargetFee_1.targetFee; } });
const Enums_1 = require("./consts/Enums");
Object.defineProperty(exports, "OutputType", { enumerable: true, get: function () { return Enums_1.OutputType; } });
const Networks_1 = __importDefault(require("./consts/Networks"));
exports.Networks = Networks_1.default;
const Types = __importStar(require("./consts/Types"));
exports.Types = Types;
const init_1 = require("./init");
Object.defineProperty(exports, "init", { enumerable: true, get: function () { return init_1.init; } });
const Musig_1 = __importDefault(require("./musig/Musig"));
exports.Musig = Musig_1.default;
const Claim_1 = require("./swap/Claim");
Object.defineProperty(exports, "constructClaimTransaction", { enumerable: true, get: function () { return Claim_1.constructClaimTransaction; } });
const PreimageDetector_1 = require("./swap/PreimageDetector");
Object.defineProperty(exports, "detectPreimage", { enumerable: true, get: function () { return PreimageDetector_1.detectPreimage; } });
const Refund_1 = require("./swap/Refund");
Object.defineProperty(exports, "constructRefundTransaction", { enumerable: true, get: function () { return Refund_1.constructRefundTransaction; } });
const ReverseSwapScript_1 = __importDefault(require("./swap/ReverseSwapScript"));
exports.reverseSwapScript = ReverseSwapScript_1.default;
const ReverseSwapTree_1 = __importStar(require("./swap/ReverseSwapTree"));
exports.reverseSwapTree = ReverseSwapTree_1.default;
Object.defineProperty(exports, "extractClaimPublicKeyFromReverseSwapTree", { enumerable: true, get: function () { return ReverseSwapTree_1.extractClaimPublicKeyFromReverseSwapTree; } });
Object.defineProperty(exports, "extractRefundPublicKeyFromReverseSwapTree", { enumerable: true, get: function () { return ReverseSwapTree_1.extractRefundPublicKeyFromReverseSwapTree; } });
const Scripts = __importStar(require("./swap/Scripts"));
exports.Scripts = Scripts;
const SwapDetector_1 = require("./swap/SwapDetector");
Object.defineProperty(exports, "detectSwap", { enumerable: true, get: function () { return SwapDetector_1.detectSwap; } });
const SwapScript_1 = __importDefault(require("./swap/SwapScript"));
exports.swapScript = SwapScript_1.default;
const SwapTree_1 = __importStar(require("./swap/SwapTree"));
exports.swapTree = SwapTree_1.default;
Object.defineProperty(exports, "extractClaimPublicKeyFromSwapTree", { enumerable: true, get: function () { return SwapTree_1.extractClaimPublicKeyFromSwapTree; } });
Object.defineProperty(exports, "extractRefundPublicKeyFromSwapTree", { enumerable: true, get: function () { return SwapTree_1.extractRefundPublicKeyFromSwapTree; } });
const SwapTreeCompare_1 = require("./swap/SwapTreeCompare");
Object.defineProperty(exports, "compareTrees", { enumerable: true, get: function () { return SwapTreeCompare_1.compareTrees; } });
const SwapTreeSerializer = __importStar(require("./swap/SwapTreeSerializer"));
exports.SwapTreeSerializer = SwapTreeSerializer;
const SwapUtils = __importStar(require("./swap/SwapUtils"));
exports.SwapUtils = SwapUtils;
const TaprootUtils = __importStar(require("./swap/TaprootUtils"));
exports.TaprootUtils = TaprootUtils;
const ContractABIs = {
    ERC20: ERC20_json_1.default.abi,
    EtherSwap: EtherSwap_json_1.default.abi,
    ERC20Swap: ERC20Swap_json_1.default.abi,
};
exports.ContractABIs = ContractABIs;
//# sourceMappingURL=Boltz.js.map