"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = exports.confidentialLiquid = exports.ecpair = exports.secp = void 0;
const ecpair_1 = require("ecpair");
const liquidjs_lib_1 = require("liquidjs-lib");
const init = (zkp) => {
    exports.secp = zkp;
    exports.ecpair = (0, ecpair_1.ECPairFactory)(exports.secp.ecc);
    exports.confidentialLiquid = new liquidjs_lib_1.confidential.Confidential(exports.secp);
};
exports.init = init;
//# sourceMappingURL=init.js.map