import { LiquidSwapTree } from '../../consts/Types';
declare enum Feature {
    ClaimCovenant = 0
}
type ClaimCovenant = {
    assetHash: string;
    outputScript: Buffer;
    expectedAmount: number;
};
type FeatureOption = {
    type: Feature;
} & ClaimCovenant;
declare const reverseSwapTree: (preimageHash: Buffer, claimPublicKey: Buffer, refundPublicKey: Buffer, timeoutBlockHeight: number, features?: FeatureOption[]) => LiquidSwapTree;
export default reverseSwapTree;
export { Feature, FeatureOption };
