import { LiquidSwapTree, SwapTree } from '../consts/Types';
type SerializedLeaf = {
    version: number;
    output: string;
};
type SerializedTree = {
    claimLeaf: SerializedLeaf;
    refundLeaf: SerializedLeaf;
};
type SerializedLiquidSwapTree = SerializedTree & {
    covenantClaimLeaf?: SerializedLeaf;
};
export declare const serializeSwapTree: (tree: LiquidSwapTree) => SerializedTree | SerializedLiquidSwapTree;
export declare const deserializeSwapTree: (tree: string | SerializedTree | LiquidSwapTree) => SwapTree | LiquidSwapTree;
export { SerializedLeaf, SerializedTree };
