import { LiquidSwapTree } from '../consts/Types';
type ProbabilityNode<T> = {
    probability: number;
    value: T;
};
type TreeNode<T> = Tree<T> | T;
type Tree<T> = [TreeNode<T>, TreeNode<T>];
export declare const sortTree: <T>(nodes: ProbabilityNode<T>[]) => TreeNode<T>;
export declare const assignTreeProbabilities: <T>(tree: Omit<Record<keyof Omit<LiquidSwapTree, "covenantClaimLeaf">, T | undefined> & {
    covenantClaimLeaf?: T;
}, "tree">) => ProbabilityNode<T>[];
export { Tree, TreeNode, ProbabilityNode };
